local image, dither
local shader

function love.load()
    love.window.setMode(512, 512)

    image = love.graphics.newImage("image.png")

    dither = love.graphics.newImage("dither.png")
    dither:setFilter("nearest", "nearest")
    dither:setWrap("repeat", "repeat")

    shader = love.graphics.newShader("shader.vert")
    shader:send("dither", dither)
    shader:send("dither_scale", 4)
    shader:send("screen_resolution", { love.graphics.getWidth(), love.graphics.getHeight() })
end

function love.draw()
    love.graphics.setShader(shader)
    love.graphics.draw(image)
end