uniform Image dither;
uniform float dither_scale;
uniform vec2 screen_resolution;

vec4 effect(vec4 current_color, Image texture, vec2 texture_coords, vec2 screen_coords) {

    float d = dither_scale;
    vec2 o = screen_resolution;

    float dither_amount = Texel(dither, screen_coords / dither_scale).r;
    vec4 texture_color = Texel(texture, texture_coords);

    vec4 color = step(
        dither_amount,
        texture_color
    );

    return color * current_color;
}